Package org.opensaml.saml.common.messaging.context

# Class SAMLMetadataContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.SAMLMetadataContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SAMLMetadataContext extends BaseContext
Subcontext that carries information SAML metadata about an associated entity. This context usually appears as a subcontext of the `MessageContext` that carries the actual SAML message, in such cases the metadata carried herein applies to the issuer of that message.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private EntityDescriptor`
`entityDescriptor`
The descriptor of the SAML entity.
`private RoleDescriptor`
`roleDescriptor`
The role descriptor of the SAML entity.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMetadataContext()`

## Method Summary

Modifier and Type
Method
Description
`EntityDescriptor`
`getEntityDescriptor()`
Gets the descriptor of the SAML entity.
`RoleDescriptor`
`getRoleDescriptor()`
Gets the role descriptor of the SAML entity.
`void`
`setEntityDescriptor(EntityDescriptor descriptor)`
Sets the descriptor of the SAML entity.
`void`
`setRoleDescriptor(RoleDescriptor descriptor)`
Sets the role descriptor of the SAML entity.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### entityDescriptor

@Nullable private EntityDescriptor entityDescriptor
The descriptor of the SAML entity.

### roleDescriptor

@Nullable private transient RoleDescriptor roleDescriptor
The role descriptor of the SAML entity.

## Constructor Details

### SAMLMetadataContext

public SAMLMetadataContext()

## Method Details

### getEntityDescriptor

@Nullable public EntityDescriptor getEntityDescriptor()
Gets the descriptor of the SAML entity.

Returns:
  descriptor of the SAML entity, may be null

### setEntityDescriptor

public void setEntityDescriptor(@Nullable EntityDescriptor descriptor)
Sets the descriptor of the SAML entity.

Parameters:
  `descriptor` - of the SAML entity

### getRoleDescriptor

@Nullable public RoleDescriptor getRoleDescriptor()
Gets the role descriptor of the SAML entity.

Returns:
  role descriptor of the SAML entity

### setRoleDescriptor

public void setRoleDescriptor(@Nullable RoleDescriptor descriptor)
Sets the role descriptor of the SAML entity.

Parameters:
  `descriptor` - role descriptor of the SAML entity